import { Label as LabelDefinition } from '.';
import { TextBase, whiteSpaceProperty } from '../text-base';
import { CoreTypes } from '../../core-types';
export * from '../text-base';
export declare class Label extends TextBase implements LabelDefinition {
    [whiteSpaceProperty.setNative]: (value: CoreTypes.WhiteSpaceType) => void;
    nativeViewProtected: org.nativescript.widgets.StyleableTextView;
    nativeTextViewProtected: org.nativescript.widgets.StyleableTextView;
    get textWrap(): boolean;
    set textWrap(value: boolean);
    createNativeView(): org.nativescript.widgets.StyleableTextView;
    initNativeView(): void;
}
